Skip to main content
GET
/
accounts
/
{account_id}
/
wallet
Wallet balance for Account
curl --request GET \
  --url https://api.togai.com/accounts/{account_id}/wallet \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.togai.com/accounts/{account_id}/wallet"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.togai.com/accounts/{account_id}/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "wallet.1223.sf23f",
  "accountId": "ACC001",
  "customerId": "CUST001",
  "balance": 500,
  "creditUnit": "USD",
  "externalId": "ext_id_123",
  "status": "ACTIVE",
  "holdAmount": 500,
  "createdAt": "2023-12-13T12:00:00Z",
  "updatedAt": "2023-12-13T12:00:00Z",
  "metadata": {
    "autoNetOff": false
  }
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required

account_id corresponding to an account

Maximum string length: 50
Example:

"ACC00001"

Response

Response for Credit Balance Request

Wallet Balance response

id
string
required
accountId
string
required
Example:

"ACC001"

customerId
string
required
Example:

"ACC001"

balance
number
required

This amount is the difference of total credited amount and sum of consumed, hold amount. ie. credit amount - (consumed amount + hold amount)

Example:

500

creditUnit
string
required
Example:

"USD"

status
enum<string>
required
Available options:
ACTIVE,
INACTIVE
effectiveFrom
string<date-time>
required
externalId
string
holdAmount
number
Example:

500

createdAt
string<date-time>
updatedAt
string<date-time>
metadata
object